Attribute VB_Name = "Module1"
Option Explicit

Public Attente As Long
Public Cpt As Integer
Public NmrJoue As Integer
Public CheminBaseDonnées As String
Public MotDePasseEnClair As String
Public MotDePasseCorrect As Boolean
Public Db As Database
Public ValTempo
Public ClientEnCours As String
Public IndexFicheEnCours As Long
Public LeContactAétéModifié As Boolean



Sub main()
    On Error GoTo ErrorHandler
    Open App.Path & "\Annuaire.ini" For Input As #1
        Input #1, CheminBaseDonnées
    Close #1
On Error GoTo 0
GoTo SauteErr
ErrorHandler:   ' Routine de gestion d'erreur. Évalue le numéro d'erreur.
    CheminBaseDonnées = ""
SauteErr:
    FormLogin.Show
End Sub


Sub MotDePasse(MDP$)
    MotDePasseCorrect = True
    On Error GoTo ErrorHandler
    Set Db = OpenDatabase(CheminBaseDonnées, True, False, ";pwd=" & MDP)
    On Error GoTo 0
    GoTo SauteErr
ErrorHandler:       ' Routine de gestion d'erreur. Évalue le numéro d'erreur.
    ValTempo = MsgBox("Erreur N°" + Format(Err.Number) + Chr$(13) + Err.Description + Chr$(13) + Chr$(13) + "-----------------------", , "SECURITE")
    MotDePasseCorrect = False
SauteErr:
End Sub
